#include "EsoAcsammm_Header.hpp"
// ++++++++++++++++++++++++++++++++++
// + Code generated by dcc 1.0      +
// ++++++++++++++++++++++++++++++++++
void jsp_res(jsp* yy, jsp* der_x, jsp* x, jsp* p, int * condit, int * lock, int * prev, int& n_x, int& n_p, int& n_c)
#pragma ad indep x p
#pragma ad dep yy
{
   int i_E=0; 
   int i_C=0; 
   int i__=0; 
   int j__=0; 
   int k__=0; 
   int m__=0; 
   int r_i=0; 
   int r_j=0; 
   int i_a=0; 
   int i_b=0; 
   int i_loop=0; 
   int i__switch=0; 
   int i__start=0; 
   int i__end=0; 
   int i__step=0; 
   int while_end=0; 
   int i_cont=0; 
   int j_cont=0; 
   int k_cont=0; 
   jsp var_mu_m=0; 
   jsp var_K_m=0; 
   jsp var_K_I=0; 
   jsp var_Y_x=0; 
   jsp var_Y_p=0; 
   jsp var_v=0; 
   jsp var_S_in=0; 
   jsp par_u=0; 
   jsp var_X=0; 
   jsp der_var_X=0; 
   jsp var_S=0; 
   jsp der_var_S=0; 
   jsp var_P=0; 
   jsp der_var_P=0; 
   jsp var_V=0; 
   jsp der_var_V=0; 
   jsp var_muS=0; 
   jsp der_var_muS=0; 
   jsp var_div0=0; 
   jsp var_div1=0; 
   jsp var_div2=0; 
   jsp var_div3=0; 
   jsp var_div4=0; 
   jsp var_div5=0; 
   jsp var_i_expr=0; 
   jsp var_div6=0; 
   int i_i=0; 
   int i_j=0; 
   int i_z=0; 
   var_mu_m=0.02;
   var_K_m=0.05;
   var_K_I=5;
   var_Y_x=0.5;
   var_Y_p=1.2;
   var_v=0.004;
   var_S_in=200;
   par_u=p[0];
   var_X=x[0];
   der_var_X=der_x[0];
   var_S=x[1];
   der_var_S=der_x[1];
   var_P=x[2];
   der_var_P=der_x[2];
   var_V=x[3];
   der_var_V=der_x[3];
   var_muS=x[4];
   der_var_muS=der_x[4];
   jsp_acs_div(par_u,var_V,var_div0);
   yy[i_E]=der_var_X-(var_muS*var_X-var_div0*var_X);
   i_E=i_E+1;
   jsp_acs_div(var_X,var_Y_x,var_div1);
   jsp_acs_div(var_X,var_Y_p,var_div2);
   jsp_acs_div(par_u,var_V,var_div3);
   yy[i_E]=der_var_S-(var_muS*var_div1-var_v*var_div2+var_div3*(var_S_in-var_S));
   i_E=i_E+1;
   jsp_acs_div(par_u,var_V,var_div4);
   yy[i_E]=der_var_P-(var_v*var_X-var_div4*var_P);
   i_E=i_E+1;
   yy[i_E]=der_var_V-(par_u);
   i_E=i_E+1;
   jsp_acs_div(var_S,var_K_I,var_div5);
   var_i_expr=(var_K_m+var_S+(var_S*var_div5));
   jsp_acs_div(var_S,var_i_expr,var_div6);
   yy[i_E]=var_muS-(var_mu_m*var_div6);
   i_E=i_E+1;
   n_c=i_C;
}
